searchNodes=[{"doc":"Phone is a real telephone number parser, that will help you get useful information from numbers.How to useVery simple to use:iex&gt; Phone.parse(&quot;555132345678&quot;) {:ok, %{a2: &quot;BR&quot;, a3: &quot;BRA&quot;, country: &quot;Brazil&quot;, international_code: &quot;55&quot;, area_code: &quot;51&quot;, number: &quot;32345678&quot;, area_abbreviation: &quot;RS&quot;, area_type: &quot;state&quot;, area_name: &quot;Rio Grande do Sul&quot;}}","ref":"Phone.html","title":"Phone","type":"module"},{"doc":"Parses a string or integer and returns a map with information about that number. iex&gt; Phone.parse(&quot;555132345678&quot;) {:ok, %{a2: &quot;BR&quot;, a3: &quot;BRA&quot;, country: &quot;Brazil&quot;, international_code: &quot;55&quot;, area_code: &quot;51&quot;, number: &quot;32345678&quot;, area_abbreviation: &quot;RS&quot;, area_type: &quot;state&quot;, area_name: &quot;Rio Grande do Sul&quot;}} iex&gt; Phone.parse(&quot;+55(51)3234-5678&quot;) {:ok, %{a2: &quot;BR&quot;, a3: &quot;BRA&quot;, country: &quot;Brazil&quot;, international_code: &quot;55&quot;, area_code: &quot;51&quot;, number: &quot;32345678&quot;, area_abbreviation: &quot;RS&quot;, area_type: &quot;state&quot;, area_name: &quot;Rio Grande do Sul&quot;}} iex&gt; Phone.parse(&quot;55 51 3234-5678&quot;) {:ok, %{a2: &quot;BR&quot;, a3: &quot;BRA&quot;, country: &quot;Brazil&quot;, international_code: &quot;55&quot;, area_code: &quot;51&quot;, number: &quot;32345678&quot;, area_abbreviation: &quot;RS&quot;, area_type: &quot;state&quot;, area_name: &quot;Rio Grande do Sul&quot;}} iex&gt; Phone.parse(555132345678) {:ok, %{a2: &quot;BR&quot;, a3: &quot;BRA&quot;, country: &quot;Brazil&quot;, international_code: &quot;55&quot;, area_code: &quot;51&quot;, number: &quot;32345678&quot;, area_abbreviation: &quot;RS&quot;, area_type: &quot;state&quot;, area_name: &quot;Rio Grande do Sul&quot;}}","ref":"Phone.html#parse/1","title":"Phone.parse/1","type":"function"},{"doc":"Same as parse/1 but the number doesn't have the international code, instead you specify country as an atom with two-letters code.For NANP countries you can use the atom :nanp or two-letter codes for any country in NANP.For United Kingdom is possible to use the more known acronym :uk or the official two-letter code :gb.iex&gt; Phone.parse(&quot;5132345678&quot;, :br) {:ok, %{a2: &quot;BR&quot;, a3: &quot;BRA&quot;, country: &quot;Brazil&quot;, international_code: &quot;55&quot;, area_code: &quot;51&quot;, number: &quot;32345678&quot;, area_abbreviation: &quot;RS&quot;, area_type: &quot;state&quot;, area_name: &quot;Rio Grande do Sul&quot;}} iex&gt; Phone.parse(&quot;(51)3234-5678&quot;, :br) {:ok, %{a2: &quot;BR&quot;, a3: &quot;BRA&quot;, country: &quot;Brazil&quot;, international_code: &quot;55&quot;, area_code: &quot;51&quot;, number: &quot;32345678&quot;, area_abbreviation: &quot;RS&quot;, area_type: &quot;state&quot;, area_name: &quot;Rio Grande do Sul&quot;}} iex&gt; Phone.parse(&quot;51 3234-5678&quot;, :br) {:ok, %{a2: &quot;BR&quot;, a3: &quot;BRA&quot;, country: &quot;Brazil&quot;, international_code: &quot;55&quot;, area_code: &quot;51&quot;, number: &quot;32345678&quot;, area_abbreviation: &quot;RS&quot;, area_type: &quot;state&quot;, area_name: &quot;Rio Grande do Sul&quot;}} iex&gt; Phone.parse(5132345678, :br) {:ok, %{a2: &quot;BR&quot;, a3: &quot;BRA&quot;, country: &quot;Brazil&quot;, international_code: &quot;55&quot;, area_code: &quot;51&quot;, number: &quot;32345678&quot;, area_abbreviation: &quot;RS&quot;, area_type: &quot;state&quot;, area_name: &quot;Rio Grande do Sul&quot;}}","ref":"Phone.html#parse/2","title":"Phone.parse/2","type":"function"},{"doc":"Same as parse/1, except it raises on error.iex&gt; Phone.parse!(&quot;555132345678&quot;) %{a2: &quot;BR&quot;, a3: &quot;BRA&quot;, country: &quot;Brazil&quot;, international_code: &quot;55&quot;, area_code: &quot;51&quot;, number: &quot;32345678&quot;, area_abbreviation: &quot;RS&quot;, area_type: &quot;state&quot;, area_name: &quot;Rio Grande do Sul&quot;} iex&gt; Phone.parse!(&quot;+55(51)3234-5678&quot;) %{a2: &quot;BR&quot;, a3: &quot;BRA&quot;, country: &quot;Brazil&quot;, international_code: &quot;55&quot;, area_code: &quot;51&quot;, number: &quot;32345678&quot;, area_abbreviation: &quot;RS&quot;, area_type: &quot;state&quot;, area_name: &quot;Rio Grande do Sul&quot;} iex&gt; Phone.parse!(&quot;55 51 3234-5678&quot;) %{a2: &quot;BR&quot;, a3: &quot;BRA&quot;, country: &quot;Brazil&quot;, international_code: &quot;55&quot;, area_code: &quot;51&quot;, number: &quot;32345678&quot;, area_abbreviation: &quot;RS&quot;, area_type: &quot;state&quot;, area_name: &quot;Rio Grande do Sul&quot;} iex&gt; Phone.parse!(555132345678) %{a2: &quot;BR&quot;, a3: &quot;BRA&quot;, country: &quot;Brazil&quot;, international_code: &quot;55&quot;, area_code: &quot;51&quot;, number: &quot;32345678&quot;, area_abbreviation: &quot;RS&quot;, area_type: &quot;state&quot;, area_name: &quot;Rio Grande do Sul&quot;}","ref":"Phone.html#parse!/1","title":"Phone.parse!/1","type":"function"},{"doc":"Same as parse/2, except it raises on error.iex&gt; Phone.parse!(&quot;5132345678&quot;, :br) %{a2: &quot;BR&quot;, a3: &quot;BRA&quot;, country: &quot;Brazil&quot;, international_code: &quot;55&quot;, area_code: &quot;51&quot;, number: &quot;32345678&quot;, area_abbreviation: &quot;RS&quot;, area_type: &quot;state&quot;, area_name: &quot;Rio Grande do Sul&quot;} iex&gt; Phone.parse!(&quot;(51)3234-5678&quot;, :br) %{a2: &quot;BR&quot;, a3: &quot;BRA&quot;, country: &quot;Brazil&quot;, international_code: &quot;55&quot;, area_code: &quot;51&quot;, number: &quot;32345678&quot;, area_abbreviation: &quot;RS&quot;, area_type: &quot;state&quot;, area_name: &quot;Rio Grande do Sul&quot;} iex&gt; Phone.parse!(&quot;51 3234-5678&quot;, :br) %{a2: &quot;BR&quot;, a3: &quot;BRA&quot;, country: &quot;Brazil&quot;, international_code: &quot;55&quot;, area_code: &quot;51&quot;, number: &quot;32345678&quot;, area_abbreviation: &quot;RS&quot;, area_type: &quot;state&quot;, area_name: &quot;Rio Grande do Sul&quot;} iex&gt; Phone.parse!(5132345678, :br) %{a2: &quot;BR&quot;, a3: &quot;BRA&quot;, country: &quot;Brazil&quot;, international_code: &quot;55&quot;, area_code: &quot;51&quot;, number: &quot;32345678&quot;, area_abbreviation: &quot;RS&quot;, area_type: &quot;state&quot;, area_name: &quot;Rio Grande do Sul&quot;}","ref":"Phone.html#parse!/2","title":"Phone.parse!/2","type":"function"},{"doc":"Returns true if the number can be parsed, otherwise returns false.iex&gt; Phone.valid?(&quot;555132345678&quot;) true iex&gt; Phone.valid?(&quot;+55(51)3234-5678&quot;) true iex&gt; Phone.valid?(&quot;55 51 3234-5678&quot;) true iex&gt; Phone.valid?(555132345678) true","ref":"Phone.html#valid?/1","title":"Phone.valid?/1","type":"function"},{"doc":"Changelog","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"Add new area code for US, Florida.","ref":"changelog.html#v0-5-4-2021-05-20","title":"Changelog - v0.5.4 - 2021-05-20","type":"extras"},{"doc":"Add support to mobile spanish phone numbers.Improve documentation.","ref":"changelog.html#v0-5-3-2021-05-15","title":"Changelog - v0.5.3 - 2021-05-15","type":"extras"},{"doc":"Update regex for Jamaica to support new region code.Fix typo on Saint Vincent and the Grenadines country name.","ref":"changelog.html#v0-5-2-2020-12-29","title":"Changelog - v0.5.2 - 2020-12-29","type":"extras"},{"doc":"Update regex for Singapore to support 10 digits number.","ref":"changelog.html#v0-5-1-2020-05-06","title":"Changelog - v0.5.1 - 2020-05-06","type":"extras"},{"doc":"Add support to region codes for Spain.","ref":"changelog.html#v0-5-0-2020-04-29","title":"Changelog - v0.5.0 - 2020-04-29","type":"extras"},{"doc":"Update regex for Belgium.","ref":"changelog.html#v0-4-11-2020-04-27","title":"Changelog - v0.4.11 - 2020-04-27","type":"extras"},{"doc":"Add new area codes for US, California.Update regex for Netherlands","ref":"changelog.html#v0-4-10-2020-03-31","title":"Changelog - v0.4.10 - 2020-03-31","type":"extras"},{"doc":"Add Vancouver missing area code","ref":"changelog.html#v0-4-9-2020-03-12","title":"Changelog - v0.4.9 - 2020-03-12","type":"extras"},{"doc":"Add brazilian toll free numbers","ref":"changelog.html#v0-4-8-2020-01-20","title":"Changelog - v0.4.8 - 2020-01-20","type":"extras"},{"doc":"Fix max length for German numbers to 11","ref":"changelog.html#v0-4-6-2019-07-02","title":"Changelog - v0.4.6 - 2019-07-02","type":"extras"},{"doc":"Fix Italy regex to consider 3 minimum digits and max 12","ref":"changelog.html#v0-4-5-2019-02-21","title":"Changelog - v0.4.5 - 2019-02-21","type":"extras"},{"doc":"Fix Australia regexFix Ireland regex","ref":"changelog.html#v0-4-4-2019-01-16","title":"Changelog - v0.4.4 - 2019-01-16","type":"extras"},{"doc":"Fix United Arab Emirates parsingFix Germany parsingFix Brazil parsingFix South Africa parsingFix Pakistan parsingFix Monaco parsingFix Ireland parsing","ref":"changelog.html#v0-4-4-2019-01-16","title":"Changelog - v0.4.4 - 2019-01-16","type":"extras"},{"doc":"Add Idaho, New York, Pennsylvania, Texas, Washington missing area codes.Fix typo on NANP Toll Free Number module.","ref":"changelog.html#v0-4-3-2018-03-24","title":"Changelog - v0.4.3 - 2018-03-24","type":"extras"},{"doc":"Correct parsing for Angola numbers","ref":"changelog.html#v0-4-2-2017-09-05","title":"Changelog - v0.4.2 - 2017-09-05","type":"extras"},{"doc":"Add 833 toll free number to NANP","ref":"changelog.html#v0-4-1-2017-06-16","title":"Changelog - v0.4.1 - 2017-06-16","type":"extras"},{"doc":"Updates Helper.Countries and Helper.Area behaviorSeveral changes to improve performance.Include valid?/1.Remove warning from v0.3","ref":"changelog.html#v0-4-0-2017-04-02","title":"Changelog - v0.4.0 - 2017-04-02","type":"extras"},{"doc":"Correct number validation for Norway.Correct Ireland area codes validation.","ref":"changelog.html#v0-3-10-2017-01-15","title":"Changelog - v0.3.10 - 2017-01-15","type":"extras"},{"doc":"Add and correct various area codes for NANP.Better test coverage for NANP numbers.","ref":"changelog.html#v0-3-9-2016-11-11","title":"Changelog - v0.3.9 - 2016-11-11","type":"extras"},{"doc":"Add 424 area code for California.Add 475 area code for Connecticut.","ref":"changelog.html#v0-3-8-2016-11-09","title":"Changelog - v0.3.8 - 2016-11-09","type":"extras"},{"doc":"Correct area code for Ontario - US.","ref":"changelog.html#v0-3-7-2016-10-28","title":"Changelog - v0.3.7 - 2016-10-28","type":"extras"},{"doc":"Correct number validation to Italy.","ref":"changelog.html#v0-3-6-2016-08-26","title":"Changelog - v0.3.6 - 2016-08-26","type":"extras"},{"doc":"Correct number validation to Bosnia and Herzegovina.","ref":"changelog.html#v0-3-5-2016-08-14","title":"Changelog - v0.3.5 - 2016-08-14","type":"extras"},{"doc":"Correct number validation to Estonia.","ref":"changelog.html#v0-3-4-2016-08-03","title":"Changelog - v0.3.4 - 2016-08-03","type":"extras"},{"doc":"Correct number validation to São Paulo - BR.","ref":"changelog.html#v0-3-3-2016-08-02","title":"Changelog - v0.3.3 - 2016-08-02","type":"extras"},{"doc":"Area codes for Brazil.Updated all regular expressions for NANP, to enforce end of line.","ref":"changelog.html#v0-3-2-2016-07-24","title":"Changelog - v0.3.2 - 2016-07-24","type":"extras"},{"doc":"Issues with Croatia numbers corrected.","ref":"changelog.html#v0-3-1-2016-07-21","title":"Changelog - v0.3.1 - 2016-07-21","type":"extras"},{"doc":"Changed parse/2 parameters order for a better use on pipes.Added functions parse!/1 and parse!/2 for a direct return, and raises on error.","ref":"changelog.html#v0-3-0-2016-07-10","title":"Changelog - v0.3.0 - 2016-07-10","type":"extras"},{"doc":"Correct area codes for Colorado - US.","ref":"changelog.html#v0-2-1-2016-06-14","title":"Changelog - v0.2.1 - 2016-06-14","type":"extras"},{"doc":"Add parse/2 to Phone module, so can parse phone numbers without international code but with atom identifying the country.","ref":"changelog.html#v0-2-0-2016-06-05","title":"Changelog - v0.2.0 - 2016-06-05","type":"extras"},{"doc":"First public release","ref":"changelog.html#v0-1-0-2016-04-21","title":"Changelog - v0.1.0 - 2016-04-21","type":"extras"},{"doc":"Phone Phone number parser for telephone numbers in international standard or missing international country code, for Elixir.Note on version 0.4.0 onward: Phone was rebuild to increase performance, that may increase compilation time but made Phone 100 times faster.Online DocumentationHex","ref":"readme.html","title":"Phone","type":"extras"},{"doc":"What is, what isn't and what will be about Phone:It isn't:Intended to work as libphonenumber.Prepared to format numbers.Necessary any information about the number if in international standard.It is:A real parser, created to extract information based only in the number.Prepared to work with numbers not only in the international standard.It will have:Area code info for every country that numbering plan has area codes.Patterns:Countries without area code info: %{ country: &quot;Country Name&quot;, a2: &quot;Alpha-2&quot;, a3: &quot;Alpha-3&quot;, international_code: &quot;1&quot;, area_code: &quot;yyy&quot;, number: &quot;xxxxxxx&quot; }Countries with area code info: %{ country: &quot;Country Name&quot;, a2: &quot;Alpha-2 code&quot;, a3: &quot;Alpha-3 code&quot;, international_code: &quot;1&quot;, number: &quot;xxxxxxx&quot;, area_code: &quot;yyy&quot;, area_name: &quot;Area Name&quot;, area_type: &quot;state&quot;, area_abbreviation: &quot;AN&quot; }","ref":"readme.html#about","title":"Phone - About","type":"extras"},{"doc":"Countries that already has area code info:United States.Canada.Brazil.Spain.","ref":"readme.html#area-codes","title":"Phone - Area Codes","type":"extras"},{"doc":"a2: Alpha-2, two letters code for country names.a3: Alpha-3, three letters code for country names.NANP: North American Numbering Plan, numbering plan for countries with international code number 1.Numbering Plan: The rules and specifications of how telephone numbers works in a given country.","ref":"readme.html#vocabulary","title":"Phone - Vocabulary","type":"extras"},{"doc":"Add to your dependencies like any other hex package:defp deps do [ {:phone, &quot;0.5.0&quot;} ] end","ref":"readme.html#installation","title":"Phone - Installation","type":"extras"},{"doc":"Copyright (c) 2016 Flávio Moreira VieiraLicensed under the Apache License, Version 2.0 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.","ref":"readme.html#license","title":"Phone - License","type":"extras"}]